View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000241Ecere SDKcompilerpublic2009-07-13 01:522014-08-08 18:17
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000241: No "Function shouldn't return a value" warnings
DescriptionThis is a critical warning which MUST show up.
Tagsv0.44d2
Attached Files

- Relationships
related to 0000685closedjerome compiler/ecc: generated c code does not compile clean yet 

-  Notes
(0000234)
jerome (administrator)
2010-07-26 02:09

Let's try to filter 'in' this one for D2.
(0001329)
jerome (administrator)
2014-06-10 06:15

Fixed by:
https://github.com/ecere/ecere-sdk/commit/c2a35ff9e2fee9299058ee8ff4b8b3f6274f84b7 [^]

- Issue History
Date Modified Username Field Change
2009-07-13 01:52 jerome New Issue
2009-07-13 01:52 jerome Summary No Function shouldn't return a value warnings => No "Function shouldn't return a value" warnings
2010-07-07 02:59 redj Target Version => 0.44d2
2010-07-07 04:10 redj Tag Attached: v0.44d2
2010-07-25 21:12 redj Relationship added child of 0000429
2010-07-26 02:09 jerome Note Added: 0000234
2010-07-26 19:19 thexa4 Target Version 0.44d2 => 0.44 draft 2
2012-03-08 15:43 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:21 redj Relationship deleted child of 0000429
2012-03-29 07:50 redj Category => eC Compiling Tools
2012-03-29 07:50 redj Project @2@ => Ecere SDK
2013-04-26 18:28 jerome Target Version 0.45 Ginkakuji => 0.44.8 Silver
2014-05-23 10:56 jerome Status new => assigned
2014-05-23 10:56 jerome Assigned To => jerome
2014-05-23 10:56 jerome Target Version 0.44.80 Silver => 0.44.10 64
2014-05-23 10:59 jerome Relationship added related to 0000685
2014-06-10 06:15 jerome Status assigned => resolved
2014-06-10 06:15 jerome Fixed in Version => 0.44.10 64
2014-06-10 06:15 jerome Resolution open => fixed
2014-06-10 06:15 jerome Note Added: 0001329
2014-08-08 18:17 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker